[texworks] Compiling TeXworks on MacOSX

Victor Ivrii vivrii at gmail.com
Sun Sep 27 13:10:06 CEST 2009

On Sun, Sep 27, 2009 at 4:13 AM, Stefan Löffler <st.loeffler at gmail.com> wrote:

> version, but another possible one is the prefix variable. If your Qt 4.5
> files are not saved in places like /Library/Frameworks/QtCore.framework,
> than the prefix lines have to be adjusted appropriately.

Thank you for pointing out to wiki. I followed instructions, including
"telling pkg-config where look for Qt things" but poppler recognizes
Qt4 now but compiles with with an error

/Library/Frameworks/QtCore.framework/Headers/qglobal.h:311:6: warning:
#warning "Support for this version of Mac OS X is still preliminary"
ArthurOutputDev.cc:586:2: warning: #warning FIX THIS
In file included from /Library/Frameworks/QtGui.framework/Headers/qmatrix.h:46,
                 from /Library/Frameworks/QtGui.framework/Headers/qimage.h:45,
                 from /Library/Frameworks/QtGui.framework/Headers/qpixmap.h:49,
                 from /Library/Frameworks/QtGui.framework/Headers/qpainter.h:48,
                 from /Library/Frameworks/QtGui.framework/Headers/QPainter:1,
                 from ArthurOutputDev.h:36,
                 from ArthurOutputDev.cc:46:
/Library/Frameworks/QtGui.framework/Headers/qregion.h: In member
function 'OpaqueRgnHandle* QRegion::handle(bool) const':
/Library/Frameworks/QtGui.framework/Headers/qregion.h:158: error:
'toQDRgn' was not declared in this scope
make[3]: *** [ArthurOutputDev.lo] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Well, probably I need to wait until Qt4.5 provides better support for
MacOS 10.6 or may be it will come with Qt4.6


Victor Ivrii, Professor, Department of Mathematics, University of Toronto

More information about the texworks mailing list